Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Small cosmetics changes #5

Open
wants to merge 7 commits into from

1 participant

Guillermo Álvarez Fernández
This page is out of date. Refresh to see the latest.
5  .document
... ...
@@ -1,5 +0,0 @@
1  
-README.rdoc
2  
-lib/**/*.rb
3  
-bin/*
4  
-features/**/*.feature
5  
-LICENSE
1  .gitignore
@@ -23,3 +23,4 @@ pkg
23 23
 
24 24
 ## PROJECT::SPECIFIC
25 25
 .bundle
  26
+*.gemspec
2  .rspec
... ...
@@ -1,2 +0,0 @@
1  
---format doc
2  
---color
18  Gemfile
... ...
@@ -1,18 +0,0 @@
1  
-source "http://rubygems.org"
2  
-
3  
-group :development do
4  
-	gem "rspec", 	"2.0.0"
5  
-	gem "cucumber", "0.9.3"
6  
-	gem "aruba", 	"0.2.4"
7  
-	gem "jeweler", 	"1.5.0"
8  
-	gem "rcov", 	"0.9.9"
9  
-  gem "autotest", "~> 4.3.0"
10  
-end
11  
-
12  
-group :runtime do
13  
-	gem "main", 	"4.2.0"
14  
-	gem "colored", 	"1.2"
15  
-	gem "highline", "1.6.1"
16  
-	gem "chronic", 	"0.3.0"
17  
-	gem "fattr",	"2.2.0"
18  
-end
62  Gemfile.lock
... ...
@@ -1,62 +0,0 @@
1  
-GEM
2  
-  remote: http://rubygems.org/
3  
-  specs:
4  
-    arrayfields (4.7.4)
5  
-    aruba (0.2.4)
6  
-      background_process
7  
-      cucumber (~> 0.9.3)
8  
-    autotest (4.3.2)
9  
-    background_process (1.2)
10  
-    builder (2.1.2)
11  
-    chronic (0.3.0)
12  
-    colored (1.2)
13  
-    cucumber (0.9.3)
14  
-      builder (~> 2.1.2)
15  
-      diff-lcs (~> 1.1.2)
16  
-      gherkin (~> 2.2.9)
17  
-      json (~> 1.4.6)
18  
-      term-ansicolor (~> 1.0.5)
19  
-    diff-lcs (1.1.2)
20  
-    fattr (2.2.0)
21  
-    gherkin (2.2.9)
22  
-      json (~> 1.4.6)
23  
-      term-ansicolor (~> 1.0.5)
24  
-    git (1.2.5)
25  
-    highline (1.6.1)
26  
-    jeweler (1.5.0)
27  
-      bundler (~> 1.0.0)
28  
-      git (>= 1.2.5)
29  
-      rake
30  
-    json (1.4.6)
31  
-    main (4.2.0)
32  
-      arrayfields (>= 4.7.4)
33  
-      fattr (>= 2.1.0)
34  
-    rake (0.8.7)
35  
-    rcov (0.9.9)
36  
-    rspec (2.0.0)
37  
-      rspec-core (= 2.0.0)
38  
-      rspec-expectations (= 2.0.0)
39  
-      rspec-mocks (= 2.0.0)
40  
-    rspec-core (2.0.0)
41  
-    rspec-expectations (2.0.0)
42  
-      diff-lcs (>= 1.1.2)
43  
-    rspec-mocks (2.0.0)
44  
-      rspec-core (= 2.0.0)
45  
-      rspec-expectations (= 2.0.0)
46  
-    term-ansicolor (1.0.5)
47  
-
48  
-PLATFORMS
49  
-  ruby
50  
-
51  
-DEPENDENCIES
52  
-  aruba (= 0.2.4)
53  
-  autotest (~> 4.3.0)
54  
-  chronic (= 0.3.0)
55  
-  colored (= 1.2)
56  
-  cucumber (= 0.9.3)
57  
-  fattr (= 2.2.0)
58  
-  highline (= 1.6.1)
59  
-  jeweler (= 1.5.0)
60  
-  main (= 4.2.0)
61  
-  rcov (= 0.9.9)
62  
-  rspec (= 2.0.0)
22  Rakefile
... ...
@@ -1,14 +1,5 @@
1 1
 # -*- encoding: utf-8 -*-
2 2
 require 'rubygems'
3  
-require 'bundler'
4  
-
5  
-begin
6  
-  Bundler.setup(:development, :runtime)
7  
-rescue Bundler::BundlerError => e
8  
-  $stderr.puts e.message
9  
-  $stderr.puts "Run `bundle install` to install missing gems"
10  
-  exit e.status_code
11  
-end
12 3
 require 'rake'
13 4
 
14 5
 require 'jeweler'
@@ -20,6 +11,19 @@ Jeweler::Tasks.new do |gem|
20 11
   gem.email = "raf.magana@gmail.com"
21 12
   gem.homepage = "http://github.com/rafmagana/dooby"
22 13
   gem.authors = ["Rafael Magaña"]
  14
+
  15
+  gem.add_development_dependency "rspec",    "2.0.0"
  16
+  gem.add_development_dependency "cucumber", "0.9.3"
  17
+  gem.add_development_dependency "aruba",    "0.2.4"
  18
+  gem.add_development_dependency "jeweler",  "1.5.0"
  19
+  gem.add_development_dependency "rcov",     "0.9.9"
  20
+  gem.add_development_dependency "autotest", "~> 4.3.0"
  21
+  
  22
+  gem.add_dependency "main",     "4.2.0"
  23
+  gem.add_dependency "colored",  "1.2"
  24
+  gem.add_dependency "highline", "1.6.1"
  25
+  gem.add_dependency "chronic",  "0.3.0"
  26
+  gem.add_dependency "redline"
23 27
 end
24 28
 
25 29
 Jeweler::RubygemsDotOrgTasks.new
1  bin/dooby
@@ -5,6 +5,7 @@ STDOUT.sync = true
5 5
 $LOAD_PATH.unshift File.join(File.dirname(__FILE__), *%w[.. lib])
6 6
 
7 7
 require 'rubygems'
  8
+gem     "main",     "4.2.0"
8 9
 require 'main'
9 10
 require 'dooby'
10 11
 
104  dooby.gemspec
... ...
@@ -1,104 +0,0 @@
1  
-# Generated by jeweler
2  
-# DO NOT EDIT THIS FILE DIRECTLY
3  
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
4  
-# -*- encoding: utf-8 -*-
5  
-
6  
-Gem::Specification.new do |s|
7  
-  s.name = %q{dooby}
8  
-  s.version = "0.3.1"
9  
-
10  
-  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11  
-  s.authors = ["Rafael Maga\303\261a"]
12  
-  s.date = %q{2010-11-15}
13  
-  s.default_executable = %q{dooby}
14  
-  s.description = %q{Handle your to-do/notes list through the command line}
15  
-  s.email = %q{raf.magana@gmail.com}
16  
-  s.executables = ["dooby"]
17  
-  s.extra_rdoc_files = [
18  
-    "LICENSE",
19  
-    "README.md"
20  
-  ]
21  
-  s.files = [
22  
-    ".document",
23  
-    ".rspec",
24  
-    "CHANGELOG.md",
25  
-    "Gemfile",
26  
-    "Gemfile.lock",
27  
-    "LICENSE",
28  
-    "README.md",
29  
-    "Rakefile",
30  
-    "VERSION",
31  
-    "bin/dooby",
32  
-    "dooby.gemspec",
33  
-    "features/adding_items.feature",
34  
-    "features/deleting_items.feature",
35  
-    "features/initialize_dooby.feature",
36  
-    "features/step_definitions/dooby_steps.rb",
37  
-    "features/support/env.rb",
38  
-    "lib/dooby.rb",
39  
-    "lib/dooby/base.rb",
40  
-    "lib/dooby/cli_helper.rb",
41  
-    "lib/dooby/config.rb",
42  
-    "lib/dooby/core_ext.rb",
43  
-    "lib/dooby/dates_helper.rb",
44  
-    "lib/dooby/exceptions.rb",
45  
-    "lib/dooby/list.rb",
46  
-    "lib/dooby/status_generator.rb",
47  
-    "lib/dooby/task.rb",
48  
-    "spec/dooby_module_spec.rb",
49  
-    "spec/list_spec.rb",
50  
-    "spec/spec_helper.rb",
51  
-    "spec/task_spec.rb"
52  
-  ]
53  
-  s.homepage = %q{http://github.com/rafmagana/dooby}
54  
-  s.require_paths = ["lib"]
55  
-  s.rubygems_version = %q{1.3.7}
56  
-  s.summary = %q{A very simplistic command-line to-do list manager in Ruby}
57  
-  s.test_files = [
58  
-    "spec/dooby_module_spec.rb",
59  
-    "spec/list_spec.rb",
60  
-    "spec/spec_helper.rb",
61  
-    "spec/task_spec.rb"
62  
-  ]
63  
-
64  
-  if s.respond_to? :specification_version then
65  
-    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
66  
-    s.specification_version = 3
67  
-
68  
-    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
69  
-      s.add_runtime_dependency(%q<main>, ["= 4.2.0"])
70  
-      s.add_runtime_dependency(%q<colored>, ["= 1.2"])
71  
-      s.add_runtime_dependency(%q<highline>, ["= 1.6.1"])
72  
-      s.add_runtime_dependency(%q<chronic>, ["= 0.3.0"])
73  
-      s.add_runtime_dependency(%q<fattr>, ["= 2.2.0"])
74  
-      s.add_development_dependency(%q<rspec>, ["= 2.0.0"])
75  
-      s.add_development_dependency(%q<cucumber>, ["= 0.9.3"])
76  
-      s.add_development_dependency(%q<aruba>, ["= 0.2.4"])
77  
-      s.add_development_dependency(%q<jeweler>, ["= 1.5.0"])
78  
-      s.add_development_dependency(%q<rcov>, ["= 0.9.9"])
79  
-    else
80  
-      s.add_dependency(%q<main>, ["= 4.2.0"])
81  
-      s.add_dependency(%q<colored>, ["= 1.2"])
82  
-      s.add_dependency(%q<highline>, ["= 1.6.1"])
83  
-      s.add_dependency(%q<chronic>, ["= 0.3.0"])
84  
-      s.add_dependency(%q<fattr>, ["= 2.2.0"])
85  
-      s.add_dependency(%q<rspec>, ["= 2.0.0"])
86  
-      s.add_dependency(%q<cucumber>, ["= 0.9.3"])
87  
-      s.add_dependency(%q<aruba>, ["= 0.2.4"])
88  
-      s.add_dependency(%q<jeweler>, ["= 1.5.0"])
89  
-      s.add_dependency(%q<rcov>, ["= 0.9.9"])
90  
-    end
91  
-  else
92  
-    s.add_dependency(%q<main>, ["= 4.2.0"])
93  
-    s.add_dependency(%q<colored>, ["= 1.2"])
94  
-    s.add_dependency(%q<highline>, ["= 1.6.1"])
95  
-    s.add_dependency(%q<chronic>, ["= 0.3.0"])
96  
-    s.add_dependency(%q<fattr>, ["= 2.2.0"])
97  
-    s.add_dependency(%q<rspec>, ["= 2.0.0"])
98  
-    s.add_dependency(%q<cucumber>, ["= 0.9.3"])
99  
-    s.add_dependency(%q<aruba>, ["= 0.2.4"])
100  
-    s.add_dependency(%q<jeweler>, ["= 1.5.0"])
101  
-    s.add_dependency(%q<rcov>, ["= 0.9.9"])
102  
-  end
103  
-end
104  
-
38  lib/dooby.rb
... ...
@@ -1,24 +1,28 @@
1 1
 $:.unshift(File.dirname(__FILE__)) 
2 2
 
3 3
 #dependencies
4  
-%w[fileutils 
5  
-   digest/sha1
6  
-   colored
7  
-   readline
8  
-   highline/import
9  
-   chronic].each { |f| require "#{f}" }
  4
+require 'fileutils'
  5
+require 'digest/sha1'
  6
+
  7
+require 'redline'
  8
+gem     'colored', '1.2'
  9
+require 'colored'
  10
+gem     'highline', '1.6.1'
  11
+require 'highline/import'
  12
+gem     'chronic', '0.3.0'
  13
+require 'chronic'
  14
+
  15
+
  16
+require 'dooby/config'
  17
+require 'dooby/exceptions'
  18
+require 'dooby/core_ext'
  19
+require 'dooby/base'
  20
+require 'dooby/dates_helper'
  21
+require 'dooby/list'
  22
+require 'dooby/status_generator'
  23
+require 'dooby/task'
  24
+require 'dooby/cli_helper'
10 25
 
11  
-#dooby
12  
-%w[config
13  
-   exceptions
14  
-   core_ext
15  
-   base
16  
-   dates_helper
17  
-   list
18  
-   status_generator
19  
-   task
20  
-   cli_helper].each { |f| require "dooby/#{f}" }
21  
-   
22 26
 module Dooby
23 27
   def self.init
24 28
     unless File.exist? CURRENT_TODO_LIST_FILE
Commit_comment_tip

Tip: You can add notes to lines in a file. Hover to the left of a line to make a note

Something went wrong with that request. Please try again.